import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, TemplateRef, AfterViewInit } from '@angular/core';
import { Subject } from 'rxjs';
import { IgxGridAPIService } from './api.service';
import { IFilteringExpression } from '../data-operations/filtering-expression.interface';
import { IFilteringOperation } from '../data-operations/filtering-condition';
/**
 *@hidden
 */
export declare class IgxGridFilterExpressionComponent implements OnDestroy, AfterViewInit {
    gridAPI: IgxGridAPIService;
    cdr: ChangeDetectorRef;
    column: any;
    value: any;
    name: any;
    onExpressionChanged: EventEmitter<{}>;
    protected defaultFilterUI: TemplateRef<any>;
    protected defaultDateUI: TemplateRef<any>;
    protected select: ElementRef;
    protected input: ElementRef;
    cssClass: string;
    private _column;
    expression: IFilteringExpression;
    protected conditionChanged: Subject<{}>;
    protected unaryConditionChanged: Subject<{}>;
    constructor(gridAPI: IgxGridAPIService, cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly template: TemplateRef<any>;
    conditionChangedCallback(): void;
    unaryConditionChangedCallback(): void;
    isActive(value: any): boolean;
    readonly gridID: string;
    readonly unaryCondition: boolean;
    isUnaryCondition(): boolean;
    readonly conditions: any;
    getCondition(value: string): IFilteringOperation;
    protected transformValue(value: any): any;
    selectionChanged(value: any): void;
    focusInput(): void;
    clearFiltering(resetCondition: boolean): void;
    clearInput(): void;
    onDatePickerValueChanged(value: any): void;
}
